# Copyright Spack Project Developers. See COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack_repo.builtin.build_systems.aspell_dict import AspellDictPackage
from spack_repo.builtin.build_systems.gnu import GNUMirrorPackage

from spack.package import *


class Aspell6De(AspellDictPackage, GNUMirrorPackage):
    """German (de) dictionary for aspell."""

    homepage = "http://aspell.net/"
    gnu_mirror_path = "aspell/dict/de/aspell6-de-20030222-1.tar.bz2"

    license("GPL-2.0-or-later")

    version(
        "6-de-20161207-7-0",
        sha256="c2125d1fafb1d4effbe6c88d4e9127db59da9ed92639c7cbaeae1b7337655571",
    )
    version(
        "6-de-20030222-1",
        sha256="ba6c94e11bc2e0e6e43ce0f7822c5bba5ca5ac77129ef90c190b33632416e906",
    )
