# Copyright Spack Project Developers. See COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack_repo.builtin.build_systems.python import PythonPackage

from spack.package import *


class PyDeepsig(PythonPackage):
    """deep-significance: Easy and Better Significance Testing for Deep Neural
    Networks"""

    homepage = "https://github.com/Kaleidophon/deep-significance"
    pypi = "deepsig/deepsig-1.2.1.tar.gz"

    with default_args(deprecated=True):
        version("1.2.1", sha256="8543630c00264898116a065f6461c131d026ef75d8703bc631a4fd2bafb31f89")

    with default_args(type="build"):
        depends_on("py-setuptools", type="build")

    with default_args(type=("build", "run")):
        depends_on("python@3.5.3:")
        depends_on("py-numpy@1.19.5")
        depends_on("py-scipy@1.6.0")
        depends_on("py-tqdm@4.59.0")
        depends_on("py-joblib@1.0.1")
        depends_on("py-pandas@1.3.3")
        depends_on("py-dill@0.3.4")

    def patch(self):
        filter_file("README_RAW.md", "README.md", "setup.py", string=True)
