# Copyright Spack Project Developers. See COPYRIGHT file for details.
#
# SPDX-License-Identifier: (Apache-2.0 OR MIT)

from spack_repo.builtin.build_systems.r import RPackage

from spack.package import *


class RDirExpiry(RPackage):
    """Managing Expiration for Cache Directories.

    Implements an expiration system for access to versioned directories.
    Directories that have not been accessed by a registered function within a
    certain time frame are deleted. This aims to reduce disk usage by
    eliminating obsolete caches generated by old versions of packages."""

    bioc = "dir.expiry"

    version("1.8.0", commit="271f76cb2e8565817400e85fcc2c595923af4af6")

    depends_on("r-filelock", type=("build", "run"))
